--[[
Lua script for generating grid labels

autor   : printmaps-osm.de
version : 2018/12/01
]]

numberOfGridLines = 21
labelTextIncrement = 1
labelPositionIncrement = 39.48

labelText = 54
labelPosition = 26.0

print()
print(string.format("# lon grid values (increment %.2f)", labelPositionIncrement))
print("# ---------------------------------")
print()
for index = 1, numberOfGridLines, 1 do
    print(string.format("- Style: <TextSymbolizer fontset-name='fontset-0' size='18' fill='dimgray' allow-overlap='true'>'%02d'</TextSymbolizer>", labelText))
    print(string.format("  WellKnownText: POINT(%.2f 15.5)", labelPosition))
    print(string.format("- Style: <TextSymbolizer fontset-name='fontset-0' size='18' fill='dimgray' allow-overlap='true'>'%02d'</TextSymbolizer>", labelText))
    print(string.format("  WellKnownText: POINT(%.2f 825.5)", labelPosition))
    print()
    labelText = labelText + labelTextIncrement
    if labelText > 99 then
        labelText = 0
    end
    labelPosition = labelPosition + labelPositionIncrement
end

labelText = 89
labelPosition = 26.0

print(string.format("# lat grid values (increment %.2f)", labelPositionIncrement))
print("# ---------------------------------")
print()
for index = 1, numberOfGridLines, 1 do
    print(string.format("- Style: <TextSymbolizer fontset-name='fontset-0' size='18' fill='dimgray' allow-overlap='true'>'%02d'</TextSymbolizer>", labelText))
    print(string.format("  WellKnownText: POINT(15.5 %.2f)", labelPosition))
    print(string.format("- Style: <TextSymbolizer fontset-name='fontset-0' size='18' fill='dimgray' allow-overlap='true'>'%02d'</TextSymbolizer>", labelText))
    print(string.format("  WellKnownText: POINT(825.5 %.2f)", labelPosition))
    print()
    labelText = labelText + labelTextIncrement
    if labelText > 99 then
        labelText = 0
    end
    labelPosition = labelPosition + labelPositionIncrement
end
